Subject: Re: cygintl-8.dll was not found
From: wefwef wefwef <[email-masked]>
To: [email-masked]
Date: Mon, 5 Apr 2010 17:40:02 +0300
List-Id: <cygwin.cygwin.com>

On Mon, Apr 5, 2010 at 4:24 PM, Dave Korn
<[email-masked]> wrote:
> On 05/04/2010 13:43, wefwef wefwef wrote:
>
>> No, I was advised to do this to get round a nasty bug in the installer.
>
>  No, you were advised to do this to work around the fully correct behaviour
> of the installer in that it pays attention to your existing installation when

Do you think it should pay attention to the existing installation when
it is downloading to an entirely different directory to create an
entirely separate installation? I would class this as undesirable
behaviour whether it is by design or not.

> you run it, exactly like it is supposed to.  Your persistent misdescription of
> "not behaving how I hoped it would despite the behaviour I hoped for not being
> documented anywhere" as a "bug" is egregious.

The cygwin setup program has some obvious gui design flaws - a two
year old can see that. It is a disaster from a usability point of
view.

>
>> I suppose in your world, it's impossible that the installer has bugs,
>> or usability problems as it quite clearly does.
>
>  You have asserted this, but failed to show it so far.
>
>> So based on the fact that it worked ok  for you, then the installer
>> has no problems at all, and any problems anyone has with it is the
>> fault of the user. Wow, that's a very simplistic view of software you
>> have.
>
>  It's pretty deterministic.  If it behaves differently for you as it does for
> me, that's because there is something different either in the procedures we
> followed or in the environment on the machines that we are following those
> procedures on.  This is why absolutely fully-detailed step-by-step
> descriptions are essential.
>> Dave, I gave you the full description,
>

I found it anything but deterministic, producing different results
almost every time I ran it. That means the it's either got bugs, or
it's so badly designed that mistakes are almost inevitable, either way
it's a fault with the installer.

cheers
Chris

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple